%include common-macros.specinclude

Summary: Parsers and serializers for RDF
Name: lsb-raptor
Version: 1.4.21
Release: 4.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/graphics
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc

Source0: http://download.librdf.org/source/raptor-%{version}.tar.gz
Patch0: raptor-%{version}.patch

%description
LSB conforming version of Raptor. Raptor is a C library providing 
a set of parsers and serializers for the Resource Description Framework.
Raptor is added to the LSB Application Battery to test libxml2.

%prep
%setup -q -n raptor-%{version}
%patch0 -p1 -b .lsbcc

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif
%define libdir %{prefix}/%{lib}
%define includedir %{prefix}/include

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export LSBLIBDIR=-L%{libdir}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

./configure \
    --prefix=%{app_prefix} \
    --with-xml2-config=/opt/lsb/bin/xml2-config \
    --with-www=none \
    --with-pic \
    LDFLAGS=$LSBLIBDIR

make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# make a README about the patch
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
if [ "$COUNT" -gt 1 ];then
  COUNT=`expr $COUNT - 1`
  install -d %{buildroot}%{sharedir}/doc
  head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.raptor.build.patches 
fi

%pre

%post

%preun

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Wed Jun 15 2011 Stew Benedict <stewb@linux-foundation.org>
- uplift to 1.4.21, rediff P0

* Fri May 13 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Tue Mar 18 2008 Stew Benedict <stewb@linux-foundation.org>
- uplift to 1.4.16

